=== Makefile ===
include ${FSLCONFDIR}/default.mk

PROJNAME=fslview
