=== debian/changelog ===
fslview (4.0.1-5) unstable; urgency=medium

  * Add basic autopkgtest that verifies that program startup and image loading
    work. Also use a similarly minimal test for build time testing.
  * Move upstream meta data to debian/upstream.
  * Fix menu file to use absolute icon path.
  * Enable default hardening features (involves going to compat level 9).
  * Bump Standards-version to 3.9.6, no further changes necessary.

 -- Michael Hanke <mih@debian.org>  Sun, 21 Dec 2014 10:09:46 +0100

fslview (4.0.1-4) unstable; urgency=medium

  * Overdue upload to unstable

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 07 May 2014 14:06:06 -0400

fslview (4.0.1-3) experimental; urgency=low

  [ Andreas Tille ]
  * Added citation information in d/upstream

  [ Yaroslav Halchenko ]
  * Reuploading to Debian proper (experimental for now).
    Package was removed from Debian due to absent at the time
    Qt4 compatibility (see #647810)

 -- Yaroslav Halchenko <debian@onerussian.com>  Sat, 26 Oct 2013 12:20:18 -0400

fslview (4.0.1-2) neurodebian; urgency=low

  * debian/patches/enh_statistics_atlas
    - generalizes ProbabilisticAtlas into StatisticAtlas to support
      any "Statistic" atlas (e.g. for neurosynth.org).

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 26 May 2013 16:45:37 -0400

fslview (4.0.1-1) neurodebian; urgency=low

  * New upstream release with various usability bugfixes.
  * atlasquery tool still segfaults on exit.

 -- Michael Hanke <mih@debian.org>  Mon, 04 Mar 2013 17:49:30 +0100

fslview (4.0.0~beta1-3) neurodebian; urgency=low

  [ Michael Hanke ]
  * Re-enable and install the 'atlasquery' tool that was "lost" during the
    switch to the Qt4 code.

  [ Yaroslav Halchenko ]
  * Drop explicit libtiff4-dev from Build-Depends -- corresponding
    tiff-dev should be pulled in by libvtk5-qt4-dev.  Should resolve FTBFS
    on quantal

 -- Michael Hanke <mih@debian.org>  Tue, 22 Jan 2013 06:48:44 +0100

fslview (4.0.0~beta1-1) neurodebian; urgency=low

  * New upstream beta release. Now using Qt4. When opening files with
    unsupported data types and error message is display, and the program
    no longer crashed (Closes: #442177).
  * Adjust package dependencies for transition from Qt3 to Qt4.

 -- Michael Hanke <mih@debian.org>  Fri, 14 Sep 2012 09:14:51 +0200
