=== debian/control ===
Source: fslview
Section: science
Priority: optional
Maintainer: NeuroDebian Team <team@neuro.debian.net>
Uploaders: Michael Hanke <mih@debian.org>, Yaroslav Halchenko <debian@onerussian.com>
Build-Depends: debhelper (>= 9~), libboost-dev, libvtk5-dev, libvtk5-qt4-dev,
 libqwt5-qt4-dev, libqt4-dev, libnewmat10-dev, cmake, imagemagick,
 libnifti-dev, libqtassistantclient-dev, xdotool, xvfb, xauth
Standards-Version: 3.9.6
Homepage: http://www.fmrib.ox.ac.uk/fsl/fslview
Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/fslview.git
Vcs-Git: git://git.debian.org/git/pkg-exppsy/fslview.git
Testsuite: autopkgtest


Package: fslview
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: fslview-doc, qt-assistant-compat
Suggests: fsl-atlases
Conflicts: fsl-fslview
Replaces: fsl-fslview
Description: viewer for (f)MRI and DTI data
 This package provides a viewer for 3d and 4d MRI data as well as DTI images.
 FSLView is able to display ANALYZE and NIFTI files. The viewer supports
 multiple 2d viewing modes (orthogonal, lightbox or single slices), but also
 3d volume rendering. Additionally FSLView is able to visualize timeseries and
 can overlay metrical and stereotaxic atlas data.
 .
 FSLView is part of FSL.


Package: fslview-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Documentation for FSLView
 This package provides the online documentation for FSLView.
 .
 FSLView is part of FSL.
