=== debian/tests/control ===
Test-Command: debian/run_tests "fslview /usr/share/mricron/templates/ch2bet.nii.gz" 10 ctrl+q
Depends: fslview, mricron-data, xvfb, xdotool, xauth
