=== debian/watch ===
version=3
opts="uversionmangle=s/^/3.0+/" \
http://pkg-exppsy.alioth.debian.org/watchhelper/fsl.html \
	.*fsl-(.*)-sources\.tar\.gz
